<div class="widget widget-recent-posts">
    <div class="title-link v1">
        <h5 class="widget-title">{{ news.title }}</h5>
    </div>
    <ul class="categories">
        {% set posts = function('get_posts_by_category', news.category, news.number)  %}
        {% for post in posts %}
         <li>
            <a href="{{ post.link }}">{{ post.title | truncate(10) }}</a>
        </li>
        {% endfor %}
    </ul>
</div>